// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：机表管理-抄表管理
//author：feizhao
//date：2017-10-13
//discription：用于测试登陆后，机表管理-抄表管理操作的页面测试
//step：1.登录主页面  2.定位抄表管理业务
//修改人：
//修改日期：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)

    //  点击机表管理-抄表管理
     .click('#vc-tree-name-机表管理')
     .pause(1000)
     .click('#vc-tree-name-抄表管理')
     .pause(3000)
     .end();
   }
 }
